Subject: Re: bug#57781: missing wallpaper command

From: Felix <[email-masked]>
Date: Thu, 15 Sep 2022 11:47:12 +0200

Stefan Kangas <[email-masked]> writes:

> Felix <[email-masked]> writes:
>
>> I'm switching back and forth from Xorg to wayland and I'm
>> tinkering with different desktops/WMs anyways.
>> I would be happy to help!
>> I will try wallpaper.el with gnome tomorrow.
>> If there are any things you want me
>> to test, just let me know.
>
> Thank you!  That offer to help is much appreciated.
>
> I know next to nothing about Wayland, but any testing you could do with
> Gnome, KDE and Sway is welcome.  Or anything else you think might be
> useful and worth doing, really.

Neither swaybg nor wgb is running under gnome-shell with wayland.
Gnome has it's own way of setting wallpapers.
As kind of expected wbg depends on wlroots i guess.
I'm not shure how to check which wm/desktop is running.
wmctrl would be very usefull, but there is not garantee for it to be
installed.

Another point is that:
("gsettings" "set" "org.gnome.desktop.background" "picture-uri" "file://%f")
only effects the light scheme of gnome.
If you want to change the wallpaper of the dark scheme
("gsettings" "set" "org.gnome.desktop.background" "picture-uri-dark" "file://%f")
is the command.
'gsettings get org.gnome.desktop.interface color-scheme'
can be used to check which of both schemes is active.
It returns either 'prefer-dark' or 'prefer-light'
One could think about setting the wallpaper for both themes, or
only for the active color-scheme.

I can check KDE later, but I don't expect wgb or swaybg to work there.